#ifndef SDK2X_SD_H
#define SDK2X_SD_H

/* **************************************************************************
 *    Copyright (C) 2005 by Rob Brown                                       *
 *    rob@cobbleware.com                                                    *
 *                                                                          *
 *    C Header: sdk2x_sd                                                    *
 *                                                                          *
 *    This program is free software; you can redistribute it and/or modify  *
 *    it under the terms of the GNU General Public License as published by  *
 *    the Free Software Foundation; either version 2 of the License, or     *
 *    (at your option) any later version.                                   *
 *                                                                          *
 *    This program is distributed in the hope that it will be useful,       *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *    GNU General Public License for more details.                          *
 *                                                                          *
 *    You should have received a copy of the GNU General Public License     *
 *    along with this program; if not, write to the                         *
 *    Free Software Foundation, Inc.,                                       *
 *    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 * **************************************************************************/

#define SDK2X_SD_DEBUG 					(0)

typedef struct _tagSdk2x_SdCardInfo
{
	int Type:1; 				/* 0 = MMC, 1 = SD */
	int IsSelected:1;

	unsigned short RelativeCardAddress;
	unsigned int BlockSize;
	unsigned int NumBlocks;
	unsigned int EraseBlocks;
	unsigned int TransferSpeed;
	unsigned int WPBlocks;
	unsigned int WriteProtect;
} sdk2x_SdCardInfo_t;

extern sdk2x_SdCardInfo_t sdk2x_SdCardInfo;

int sdk2x_SdInit (void);

#endif /* SDK2X_SD_H */

