#ifndef SDK2X_SD_PART_H
#define SDK2X_SD_PART_H

/* **************************************************************************
 *    Copyright (C) 2005 by Rob Brown                                       *
 *    rob@cobbleware.com                                                    *
 *                                                                          *
 *    C Header: sdk2x_sd_part                                               *
 *                                                                          *
 *    This program is free software; you can redistribute it and/or modify  *
 *    it under the terms of the GNU General Public License as published by  *
 *    the Free Software Foundation; either version 2 of the License, or     *
 *    (at your option) any later version.                                   *
 *                                                                          *
 *    This program is distributed in the hope that it will be useful,       *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *    GNU General Public License for more details.                          *
 *                                                                          *
 *    You should have received a copy of the GNU General Public License     *
 *    along with this program; if not, write to the                         *
 *    Free Software Foundation, Inc.,                                       *
 *    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 * **************************************************************************/

#define SDK2X_ERR_SDPT_OK							(0)
#define SDK2X_ERR_SDPT_HW_OFFSET					(32)
#define SDK2X_ERR_SDPT_MALLOC						(33)
#define SDK2X_ERR_SDPT_READ_PTABLE				(34)
#define SDK2X_ERR_SDPT_PTABLE_CORRUPT			(35)
#define SDK2X_ERR_SDPT_PTABLE_INCONSISTENT	(36)
#define SDK2X_ERR_SDPT_MBR_LOAD_FAIL			(37)

#define SDK2X_FAT12									(0)
#define SDK2X_FAT16									(1)
#define SDK2X_FAT32									(2)

extern int bad_partition;

int sdk2x_SdPartInit (void);

#endif /* SDK2X_SD_PART_H */

